package com.example.mynotepad.MenuFeatures.AllNotes.DataBase;

import androidx.room.Dao;
import androidx.room.Delete;
import androidx.room.Insert;
import androidx.room.Query;

import java.util.List;

@Dao
public interface FoldersDAO {

    // a method list type
    @Query("SELECT * FROM FoldersEntity")
    List<FoldersEntity> getAllFolders();

    //insert data in database
    @Insert
    void insertFolder(FoldersEntity foldersEntity);

    //delete data in database
    @Delete
    void deleteFolder(FoldersEntity foldersEntity);


    //update data
    @Query("UPDATE FoldersEntity SET folderName = :folderName  Where ID = :id")
    void updateDate(String folderName, int id);
}
